- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates a new custom bidding script. Returns the newly created script if successful.
Requests creating a custom bidding script under an algorithm assigned to a line item will return an error.
HTTP request
POST https://displayvideo.googleapis.com/v5/customBiddingAlgorithms/{customBiddingAlgorithmId}/scripts
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customBiddingAlgorithmId |
Required. The ID of the custom bidding algorithm that owns the script. |
Query parameters
| Parameters | |
|---|---|
| Required. Identifies the DV360 entity that owns the parent custom bidding algorithm. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
partnerId |
The ID of the partner that owns the parent custom bidding algorithm. Only this partner will have write access to this custom bidding script. |
advertiserId |
The ID of the advertiser that owns the parent custom bidding algorithm. |
| End of mutually exclusive fields. | |
Request body
The request body contains an instance of CustomBiddingScript.
Response body
If successful, the response body contains a newly created instance of CustomBiddingScript.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.